MailFileFolder (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.mail.sampler, class: MailFileFolder

Package org.apache.jmeter.protocol.mail.sampler

# Class MailFileFolder

java.lang.Object
javax.mail.Folder
org.apache.jmeter.protocol.mail.sampler.MailFileFolder

public class MailFileFolder extends javax.mail.Folder

- ## Field Summary

  ### Fields inherited from class javax.mail.Folder

  `HOLDS_FOLDERS, HOLDS_MESSAGES, mode, READ_ONLY, READ_WRITE, store`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MailFileFolder(javax.mail.Store store, String path)`
  `MailFileFolder(javax.mail.Store store, javax.mail.URLName path)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `appendMessages(javax.mail.Message[] messages)`
  `void`
  `close(boolean expunge)`
  `boolean`
  `create(int type)`
  `boolean`
  `delete(boolean recurse)`
  `boolean`
  `exists()`
  `javax.mail.Message[]`
  `expunge()`
  `javax.mail.Folder`
  `getFolder(String name)`
  `String`
  `getFullName()`
  `javax.mail.Message`
  `getMessage(int index)`
  `int`
  `getMessageCount()`
  `String`
  `getName()`
  `javax.mail.Folder`
  `getParent()`
  `javax.mail.Flags`
  `getPermanentFlags()`
  `char`
  `getSeparator()`
  `int`
  `getType()`
  `boolean`
  `hasNewMessages()`
  `boolean`
  `isOpen()`
  `javax.mail.Folder[]`
  `list(String pattern)`
  `void`
  `open(int mode)`
  `boolean`
  `renameTo(javax.mail.Folder newName)`

  ### Methods inherited from class javax.mail.Folder

  `addConnectionListener, addFolderListener, addMessageChangedListener, addMessageCountListener, copyMessages, fetch, finalize, getDeletedMessageCount, getMessages, getMessages, getMessages, getMode, getNewMessageCount, getStore, getUnreadMessageCount, getURLName, isSubscribed, list, listSubscribed, listSubscribed, notifyConnectionListeners, notifyFolderListeners, notifyFolderRenamedListeners, notifyMessageAddedListeners, notifyMessageChangedListeners, notifyMessageRemovedListeners, removeConnectionListener, removeFolderListener, removeMessageChangedListener, removeMessageCountListener, search, search, setFlags, setFlags, setFlags, setSubscribed, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MailFileFolder

    public MailFileFolder(javax.mail.Store store, String path)

  - ### MailFileFolder

    public MailFileFolder(javax.mail.Store store, javax.mail.URLName path)

- ## Method Details

  - ### appendMessages

    public void appendMessages(javax.mail.Message[] messages) throws javax.mail.MessagingException
    Specified by:
      `appendMessages` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### close

    public void close(boolean expunge) throws javax.mail.MessagingException
    Specified by:
      `close` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### create

    public boolean create(int type) throws javax.mail.MessagingException
    Specified by:
      `create` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### delete

    public boolean delete(boolean recurse) throws javax.mail.MessagingException
    Specified by:
      `delete` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### exists

    public boolean exists() throws javax.mail.MessagingException
    Specified by:
      `exists` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### expunge

    public javax.mail.Message[] expunge() throws javax.mail.MessagingException
    Specified by:
      `expunge` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### getFolder

    public javax.mail.Folder getFolder(String name) throws javax.mail.MessagingException
    Specified by:
      `getFolder` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### getFullName

    public String getFullName()
    Specified by:
      `getFullName` in class `javax.mail.Folder`

  - ### getMessage

    public javax.mail.Message getMessage(int index) throws javax.mail.MessagingException
    Specified by:
      `getMessage` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### getMessageCount

    public int getMessageCount() throws javax.mail.MessagingException
    Specified by:
      `getMessageCount` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `javax.mail.Folder`

  - ### getParent

    public javax.mail.Folder getParent() throws javax.mail.MessagingException
    Specified by:
      `getParent` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### getPermanentFlags

    public javax.mail.Flags getPermanentFlags()
    Specified by:
      `getPermanentFlags` in class `javax.mail.Folder`

  - ### getSeparator

    public char getSeparator() throws javax.mail.MessagingException
    Specified by:
      `getSeparator` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### getType

    public int getType() throws javax.mail.MessagingException
    Specified by:
      `getType` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### hasNewMessages

    public boolean hasNewMessages() throws javax.mail.MessagingException
    Specified by:
      `hasNewMessages` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### isOpen

    public boolean isOpen()
    Specified by:
      `isOpen` in class `javax.mail.Folder`

  - ### list

    public javax.mail.Folder[] list(String pattern) throws javax.mail.MessagingException
    Specified by:
      `list` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### open

    public void open(int mode) throws javax.mail.MessagingException
    Specified by:
      `open` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`

  - ### renameTo

    public boolean renameTo(javax.mail.Folder newName) throws javax.mail.MessagingException
    Specified by:
      `renameTo` in class `javax.mail.Folder`
    Throws:
      `javax.mail.MessagingException`